.card {
    width: 275px;
    max-height: calc(100vh - 100px);
    margin-right: 15px;
    padding: 5px 10px;
    box-sizing: border-box;
    display: inline-block;
    border-radius: 3px;
    overflow: auto;
    background-color: rgb(235, 236, 240);

    &::-webkit-scrollbar {
        display: none;
    }

    &_headerContainer {
        display: flex;
        justify-content: space-between;
    }

    &_headerInput {
        width: 80%;
        font-size: 14px;
        font-weight: 500;
        padding: 3px 6px;
        color: #172b4d;
        outline: 0;
        border: 2px solid transparent;
        border-radius: 3px;
        background-color: transparent;
    }

    &_headerInput:focus {
        border: 2px solid rgb(0, 121, 191);
        background-color: white;
    }

    &_deleteBtn {
        width: 10%;
        border: 0;
        outline: 0;
        border-radius: 3px;
        cursor: pointer;
        background-color: transparent;
        display: flex;
        justify-content: center;
        align-items: center;

        :hover {
            color: red;
            background-color: rgb(218, 219, 226);
        }

        :active {
            background-color: darken($color: rgb(218, 219, 226), $amount: 10);
        }
    }

    &_addTaskBtn {
        width: 100%;
        margin: 5px 0;
        padding: 7px 10px;
        font-size: 14px;
        color: #42526e;
        border: 0;
        outline: 0;
        border-radius: 3px;
        text-align: left;
        cursor: pointer;
        background-color: transparent;
    }

    &_addTaskBtn:hover {
        background-color: rgb(218, 219, 226);
    }

    &_addTaskBtn:active {
        background-color: darken($color: rgb(218, 219, 226), $amount: 10);
    }

    &_plusIcon {
        margin-right: 3px;
    }

    &_taskContainer {
        margin: 10px 0;
        position: relative;

        
    }

    &_taskContainer:hover &_deleteTaskBtn{
        display: inline-block;
        color: red;
    }

    &_task {
        width: 100%;
        padding: 3px 6px;
        font-size: 14px;
        font-weight: 400;
        color: #172b4d;
        outline: 0;
        box-sizing: border-box;
        border-radius: 3px;
        border: 2px solid transparent;

        :hover {
            background-color: darken($color: rgb(255, 255, 255), $amount: 1);
        }
    }


    &_deleteTaskBtn {
        font-size: 13px;
        cursor: pointer;
        position: absolute;
        top: 7px;
        right: 10px;
        display: none;
    }

    &_addCardBtn {
        width: 275px;
        padding: 7px 10px;
        font-size: 14px;
        color: #ffffff;
        text-align: left;
        border: 0;
        outline: 0;
        border-radius: 3px;
        background-color: hsla(0,0%,100%,.24);
        cursor: pointer;

        :hover {
            background-color: darken($color: hsla(0,0%,100%,.24), $amount: 10);
        }
    }
}